Subject: Re: Problems compiling perl module Compress-Zlib with perl
From: Steve Kelem <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Sun, 17 Dec 2000 13:12:18 -0800

Charles S. Wilson wrote:

>>>> -L/usr/local/lib Zlib.o ../zlib-1.1.3/libz.a
>>>> /usr/local/lib/perl5/5.6.0/cygwin/CORE/libperl5_6_0.a
>>>> dllwrap: no export definition file provided
>>>> dllwrap: creating one, but that may not be what you want
>>>> collect2: installation problem, cannot exec `/home/kelem/bin/sh/ld': No
>>>> such file or directory
>>> 
>>> 
>>> What is this /home/kelem/bin/sh/ld ??  collect2 *should* be calling
>>> /usr/bin/ld.exe.
>> 
>> I have a file called ld.sh.  Why is it being invoked?  I don't have a
>> file called ld or ld.exe.
>> I tried deleting the file, and I get the same result.
> 
> 
> I don't know.  I'm stumped.  Try renaming /usr/bin/collect2.exe.  If
> collect2 is missing, gcc will directly invoke ld.exe -- hopefully gcc
> will locate the correct ld, since you've somehow managed to get collect2
> terminally confused.
> 
> --Chuck
> 
> 
I searched for collect2.exe on /g (cygwin is installed in G:\cygwin) and 
found:

441580091   27 -rwxr-xr-x   1 kelem    None        54272 Nov  9 22:09 
/g/cygwin/lib/gcc-lib/i686-pc-cygwin/2.95.2-5/collect2.exe
1055031969   27 -rwxr-xr-x   1 kelem    None        55296 Feb  7  2000 
/g/PRC-Tools/H-i586-cygwin32/lib/gcc-lib/m68k-palmos/2.95.2-kgpd/collect2.exe
137271073   27 -rwxr-xr-x   1 kelem    None        54272 Nov  9 22:09 
/g/lib/gcc-lib/i686-pc-cygwin/2.95.2-5/collect2.exe
415310720   28 -rwxr-xr-x   1 kelem    None        56832 Nov 21  1999 
/g/lib/gcc-lib/i686-cygwin/2.95.2/collect2.exe

Are any of these valid?

Thanks,
Steve

--
Want to unsubscribe from this list?
Send a message to [email-masked]